XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc > Class Template Reference

`#include <XnCyclicQueueT.h>`

Inheritance diagram for XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >:
[legend]

## Public Types

typedef XnQueueT< T, TAlloc > | Base

## Public Member Functions

| XnCyclicQueueT (XnUInt32 nMaxDepth=TDefaultMaxDepth)
| XnCyclicQueueT (const XnCyclicQueueT &other)
XnCyclicQueueT & | operator= (const XnCyclicQueueT &other)
| ~XnCyclicQueueT ()
XnStatus | SetMaxSize (XnUInt32 nMaxSize)
XnStatus | Push (T const &value)
XnStatus | Pop (T &value)
T const & | Top () const
T & | Top ()

## Protected Attributes

XnUInt32 | m_nMaxDepth
Protected Attributes inherited from XnListT< T, TAlloc >
LinkedNode | m_anchor
XnUInt32 | m_nSize

## Additional Inherited Members

Protected Types inherited from XnQueueT< T, TAlloc >
typedef XnListT< T, TAlloc > | Base
Protected Types inherited from XnListT< T, TAlloc >
typedef XnLinkedNodeT< T > | LinkedNode
typedef T | TValue
typedef TAlloc | TAllocator
Protected Member Functions inherited from XnQueueT< T, TAlloc >
| XnQueueT ()
| XnQueueT (const XnQueueT &other)
XnQueueT & | operator= (const XnQueueT &other)
| ~XnQueueT ()
XnStatus | Push (T const &value)
XnStatus | Pop (T &value)
T const & | Top () const
T & | Top ()
XnBool | IsEmpty () const
Iterator | Begin ()
ConstIterator | Begin () const
Iterator | End ()
ConstIterator | End () const
XnUInt32 | Size () const
Protected Member Functions inherited from XnListT< T, TAlloc >
XnStatus | InsertAfter (LinkedNode *pAfter, T const &val)
| XnListT ()
| XnListT (const XnListT &other)
XnListT & | operator= (const XnListT &other)
| ~XnListT ()
Iterator | Begin ()
ConstIterator | Begin () const
Iterator | End ()
ConstIterator | End () const
Iterator | ReverseBegin ()
ConstIterator | ReverseBegin () const
Iterator | ReverseEnd ()
ConstIterator | ReverseEnd () const
XnStatus | AddAfter (ConstIterator where, T const &value)
XnStatus | AddBefore (ConstIterator where, T const &value)
XnStatus | AddFirst (T const &value)
XnStatus | AddLast (T const &value)
ConstIterator | Find (T const &value) const
Iterator | Find (T const &value)
XnStatus | Remove (ConstIterator where)
XnStatus | Remove (T const &value)
XnStatus | Clear ()
XnBool | IsEmpty () const
XnUInt32 | Size () const
void | CopyTo (T *pArray) const

## Member Typedef Documentation

## Base

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

typedef XnQueueT<T, TAlloc> XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::Base

## Constructor & Destructor Documentation

## XnCyclicQueueT() [1/2]

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::XnCyclicQueueT | ( | XnUInt32 | nMaxDepth = TDefaultMaxDepth | ) |

inline

## XnCyclicQueueT() [2/2]

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::XnCyclicQueueT | ( | const XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc > & | other | ) |

inline

## ~XnCyclicQueueT()

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::~XnCyclicQueueT | ( |  | ) |

inline

## Member Function Documentation

## operator=()

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnCyclicQueueT & XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::operator= | ( | const XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc > & | other | ) |

inline

## Pop()

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStatus XnQueueT< T, TAlloc >::Pop | ( | T & | value | ) |

inline

## Push()

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStatus XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::Push | ( | T const & | value | ) |

inline

## SetMaxSize()

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStatus XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::SetMaxSize | ( | XnUInt32 | nMaxSize | ) |

inline

## Top() [1/2]

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T & XnQueueT< T, TAlloc >::Top | ( |  | ) |

inline

## Top() [2/2]

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T const & XnQueueT< T, TAlloc >::Top | ( |  | ) | const

inline

## Member Data Documentation

## m_nMaxDepth

template<class T, XnUInt32 TDefaultMaxDepth, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnUInt32 XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >::m_nMaxDepth

protected

The documentation for this class was generated from the following file:

- XnCyclicQueueT.h